Page MenuHomePhabricator

5 of the 15 prioritized repositories have at least 1 end-to-end test
Closed, DeclinedPublic

Description

After T199133: Find top 15 target projects that could use Selenium tests to prevent incidents is resolved, select 5 repositories and work with maintainers to create the first Selenium test.

From J128:

  • Contact owners of selected repositories (see Prioritize Repositories section) and offer help in creating the first test.
  • Add results from Incident Documentation tool to incident reports as a new Related Repositories section. The section will link to the tool and explain how it got the data. It will also ask for edits if the data is not correct.
  • Reach out to people that created (or edited) incident reports and ask them to populate Related Repositories section. This might have mixed results. For best results, the section will already be populated with the data from Incident Documentation tool.
  • Add Related Repositories section to the incident report template.
  • Improve Incident Documentation tool.

Team/Repository

TeamRepositoryContactStatus
Editingmediawiki/extensions/VisualEditorEsanders Ryasmeen๐Ÿ“ญ no reply
Editingmediawiki/extensions/BabelEsanders Ryasmeen๐Ÿ“ญ no reply
Language engineeringmediawiki/extensions/ContentTranslationArrbee Amire80 Etonkovidova Nikerabbit๐Ÿ’ป in progress T216424
Language engineeringmediawiki/extensions/TranslateArrbee Amire80 Etonkovidova Nikerabbit๐Ÿ™…โ€โ™‚๏ธ no need for tests
Language engineeringmediawiki/extensions/UniversalLanguageSelectorArrbee Amire80 Etonkovidova Nikerabbit๐Ÿ™…โ€โ™‚๏ธ no need for tests
Contributorsmediawiki/extensions/AbuseFilterDaimona๐Ÿ’ป in progress T214478
Release Engineeringphabricator/phabricatorRelease-Engineering-Team๐Ÿ™…โ€โ™‚๏ธ no need for tests
Growthmediawiki/extensions/FlowCatrope SBisson kostajh Etonkovidova๐Ÿ™…โ€โ™‚๏ธ no need for tests
Growth / Community Techmediawiki/extensions/PageTriageCatrope SBisson kostajh Etonkovidova Mooeypoo๐Ÿ“ญ no reply
Fundraising techmediawiki/extensions/DonationInterfaceEjegg cwdent AndyRussG๐Ÿ“ญ no reply
Readingmediawiki/extensions/TimedMediaHandlerbrion๐Ÿ’ป in progress T214480
WMDEmediawiki/extensions/WikibaseQualityConstraintsLadsgroup Addshore๐Ÿ“ญ no reply
WMDEmediawiki/extensions/PropertySuggesterLadsgroup Addshore๐Ÿ“ญ no reply
WMDEmediawiki/extensions/CognateLadsgroup Addshore๐Ÿ“ญ no reply

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 10 2018, 12:03 PM
zeljkofilipin triaged this task as High priority.Oct 10 2018, 12:03 PM

Change 476519 had a related patch set uploaded (by Zfilipin; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add config for Selenium and basic tests

https://gerrit.wikimedia.org/r/476519

zeljkofilipin updated the task description. (Show Details)Jan 8 2019, 4:44 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added subscribers: Ryasmeen, Esanders, brion.
zeljkofilipin removed subscribers: brion, Esanders, Ryasmeen.
zeljkofilipin added subscribers: Ryasmeen, Esanders, brion.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed subscribers: brion, Esanders, Ryasmeen.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a subscriber: Daimona.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added subscribers: cwdent, AndyRussG, Ejegg.
zeljkofilipin removed subscribers: Ejegg, AndyRussG, cwdent, Daimona.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a subscriber: Mooeypoo.
zeljkofilipin removed a subscriber: Mooeypoo.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin lowered the priority of this task from High to Low.Mar 5 2019, 1:37 PM
zeljkofilipin closed this task as Declined.Mar 7 2019, 11:19 AM
zeljkofilipin added a subscriber: greg.

In discussion with @greg decided not to continue working on this. Already created sub-tasks will be resolved.

zeljkofilipin changed the status of subtask T214480: The first Selenium test for TimedMediaHandler from Open to Stalled.